跳转到主要内容
GET
/
v2
/
webhook
/
endpoint
/
{id}
端点 - 获取
curl --request GET \
  --url https://api.dex.chainstream.io/v2/webhook/endpoint/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
  "url": "https://example.com",
  "channels": [
    "sol.token.migrated"
  ],
  "createdAt": "2021-01-01",
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "updatedAt": "2021-01-01"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

id
string
必填

端点 ID

响应

200 - application/json

成功响应

Webhook endpoint response

id
string
必填

DTO.ENDPOINT.ID

示例:

"ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2"

url
string
必填

DTO.ENDPOINT.URL

示例:

"https://example.com"

channels
enum<string>[] | null

DTO.ENDPOINT.CHANNELS

Webhook event channel

可用选项:
sol.token.migrated,
sol.token.created
createdAt
string | null

DTO.ENDPOINT.CREATED_AT

示例:

"2021-01-01"

description
string | null

DTO.ENDPOINT.DESCRIPTION

示例:

"Webhook description"

disabled
boolean | null

DTO.ENDPOINT.DISABLED

示例:

false

filter
string | null

DTO.ENDPOINT.FILTER

filterTypes
string[] | null

DTO.ENDPOINT.FILTER_TYPES

metadata
object

DTO.ENDPOINT.METADATA

示例:
{ "key": "value" }
rateLimit
integer<int32> | null

DTO.ENDPOINT.RATE_LIMIT

必填范围: x >= 0
示例:

1000

updatedAt
string | null

DTO.ENDPOINT.UPDATED_AT

示例:

"2021-01-01"